﻿//-----------------------------------------------------------------------
// <copyright file="ShowDataCommand.cs" company="dataPartner">
//     Copyright (c) dataPartner s. r. o.  All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace BioWes.DataVisualization.Commands
{
    using BioWes.ProjectManager;
    using dataPartner.ApplicationFramework4;
    using dataPartner.ApplicationFramework4.Commands.Standard;

    internal class ShowDataCommand : StandardCommand
    {
        #region Overrides

        public override string Name
        {
            get { return CommandName.MortalityCommand; }
        }

        public override bool Enabled
        {
            get
            {
                var protocolManager = AppFramework.GetService<IProtocolManagerService>();
                return protocolManager != null && protocolManager.SelectedProtocol != null;
            }
        }

        public override bool HasDefaultHandler
        {
            get
            {
                return false;
            }
        }

        public override string Title
        {
            get
            {
                return Resources.Messages.ShowDataCommand_Title;
            }
        }

        public override string ToolTip
        {
            get
            {
                return Resources.Messages.ShowDataCommand_ToolTip;
            }
        }

        public override string ToolTipTitle
        {
            get
            {
                return Resources.Messages.ShowDataCommand_Title;
            }
        }

        public override System.Drawing.Image LargeIcon
        {
            get
            {
                return Properties.Resources.ShowDataCommand32;
            }
        }

        public override System.Drawing.Image SmallIcon
        {
            get
            {
                return Properties.Resources.ShowDataCommand16;
            }
        }

        #endregion
    }
}
