﻿//-----------------------------------------------------------------------
// <copyright file="DataChartForm.cs" company="dataPartner">
//     Copyright (c) dataPartner s. r. o.  All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace BioWes.DataVisualization.UserControls
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using dataPartner.ApplicationFramework4;
    using dataPartner.ApplicationFramework4.Face;
    using DevExpress.XtraEditors;
    using DevExpress.XtraCharts;

    public partial class DataChartForm : XtraForm, IDataChartFormProvider, IWindow
    {
        internal static readonly string FormName = "BioWes.MortalityModule.DataChartForm";

        #region Constructor

        public DataChartForm(IAppFramework appFramework)
        {
            InitializeComponent();
        }

        #endregion

        #region IDataChartFormProvider Members

        DevExpress.XtraCharts.ChartControl IDataChartFormProvider.GetChartControl()
        {
            return chartControl1;
        }

        #endregion

        #region IWindow Members

        public WindowDocking Docking
        {
            get { return WindowDocking.DockAsTab; }
        }

        public string Title
        {
            get { return Resources.Messages.DataChartForm_Title; }
        }

        #endregion

        #region IControlOwner Members

        public object Control
        {
            get { return this; }
        }

        #endregion

        internal void ReloadData(IEnumerable<Tuple<DateTime, double>> data)
        {
            chartControl1.Series.Clear();

            chartControl1.BeginInit();
            chartControl1.Series.Add(new Series());

            foreach (var group in data.OrderBy(d => d.Item1).GroupBy(d => d.Item1))
            {
                chartControl1.Series[0].Points.Add(new SeriesPoint()
                {
                    DateTimeArgument = group.Key,
                    Values = group.Select(g => g.Item2).ToArray() 
                });
            }
            chartControl1.EndInit();
        }
    }
}